Ganglia Multiple Cross-Site Scripting Vulnerabilities

by Carol~ Moderator - 2/11/13 7:21 AM

In Reply to: VULNERABILITIES / FIXES - February 11. 2013 by Carol~ Moderator

Release Date : 2013-02-11

Criticality level : Less critical
Impact : Cross Site Scripting
Where : From remote
Solution Status : Vendor Workaround

Software: Ganglia 3.x

Description:
Multiple vulnerabilities have been reported in Ganglia, which can be exploited by malicious people to conduct cross-site scripting attacks.

Input passed via multiple parameters and scripts is not properly sanitised before being returned to the user. This can be exploited to insert arbitrary HTML and script code, which will be executed in a user's browser session in context of an affected site when the malicious data is being viewed.

List of affected scripts and parameters:
http://[host]/autorotation.php?view_name
http://[host]/actions.php?hreg
http://[host]/actions.php?mreg
http://[host]/actions.php?host_name
http://[host]/actions.php?metric_name
http://[host]/views_view.php?view_filename
http://[host]/views.php?r
http://[host]/views.php?cs
http://[host]/views.php?ce
http://[host]/trend_navigation.php?key
http://[host]/trend_navigation.php?query_string
http://[host]/mobile_helper.php?view_name
http://[host]/mobile_helper.php?r
http://[host]/mobile_helper.php?cs
http://[host]/mobile_helper.php?ce
http://[host]/mobile_helper.php?clustername
http://[host]/mobile_helper.php?hostname
http://[host]/mobile_helper.php?range
http://[host]/header.php?selected_tab
http://[host]/graph_all_periods.php?h
http://[host]/graph_all_periods.php?c
http://[host]/graph_all_periods.php?g
http://[host]/graph_all_periods.php?m
http://[host]/graph_all_periods.php?hreg
http://[host]/graph_all_periods.php?mreg
http://[host]/decompose_graph.php?hreg
http://[host]/decompose_graph.php?mreg
http://[host]/compare_hosts.php?hreg

The vulnerabilities are reported in version 3.5.4. Other versions may also be affected.

Solution:
Fixed in the source code repository.

Provided and/or discovered by:
Reported by the vendor.

Original Advisory:
https://bugzilla.redhat.com/show_bug.cgi?id=892823

http://secunia.com/advisories/52100/